import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false

Vue.mixin(App)  //全局混入

import request from './api/request.js'
Vue.prototype.$request=request

import store from './store/index.js'
Vue.prototype.$store = store

import uView from "uview-ui";
Vue.use(uView);

// 自定义全局组件
// import msgPop from './components/msgPop.vue'
// Vue.component("msgPop",msgPop)


App.mpType = 'app'
const app = new Vue({
	store,
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif